Bug 431746 - Exception after moving (1) to step instbootloader
Exception after moving (1) to step instbootloader
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
9
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-06 14:06 EST by Exile In Paradise
Modified: 2008-08-04 10:28 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 10:28:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Exile In Paradise 2008-02-06 14:06:52 EST
Description of problem:
After the RPMs finished installing on Fedora 9 Alpha, a bug dialog box reports:
Exception Occurred

A switch to console F3 shows:
INFO: moving (1) step to firstboot
INFO: moving (1) step to instbootloader
CRITICAL: anaconda 11.4.0.28 exception report
Traceback (most recent call first):
File "/usr/lib/booty/bootloaderInfo.py", line 1002 in grubbyDiskName
  return "hd%d" % seld.drivelist.index(name)
File "/usr/lib/booty/bootloaderInfo.py", line 911 in writeGrub
  f.write("(%s)    /dev/%s\n") % (self.grubbyDiskName(drive),
File "/usr/lib/booty/bootloaderInfo.py", line 1187, in write
  justConfig | (not self.useGrubVal))
File "/usr/lib/anaconda/bootloader.py", line 209, in writeBootloader
  justConfigFile, anaconda.intf)
File "/usr/lib/anaconda/dispatch.py", line 209, in moveStep
  rc = stepFunc(self.anaconda)
File "/usr/lib/anaconda/dispatch.py", line 132, in gotoNext
  self.moveStep()
File "/usr/lib/anaconda/gui.py", line 1201, in nextClicked
  self.anaconda.dispatch.gotoNext()
File "/usr/lib/anaconda/iw/progress_gui.py", line 80, in renderCallback
  self.intf.icw.nextClicked()
File "/usr/lib/anaconda/gui.py", like 1222, in handleRenderCallback
  self.currentWindow.renderCallback()
Value Error: list.index(x): x not in list

Version-Release number of selected component (if applicable):
Anaconda 11.4.0.28

How reproducible:
Unknown, without performing an entire re-install. 
It happens after all RPMs are applied to system.

Steps to Reproduce:
1. Boot from DVD.
2. Choose install options.
3. Wait while all packages apply.
  
Actual results:
Exception report dialog box.

Expected results:
Installation successful, press reboot screen.

Additional info:
I could not save the exception log to disk.
The dialog did not let me choose one.
And, I could not save the exception log to remote.
The dialog provided labels for 4 fields of information (Host:port, file, name,
and password), but only had 3 input fields to enter the information in. It seems
there is no place to enter password?
Should be entered as a separate bug I suppose, but don't much feel like it after
painfully typing in that traceback.
Comment 1 Jeremy Katz 2008-02-08 09:10:47 EST
What is the drive configuration of your system and what did you select for your
partitioning options?
Comment 2 Exile In Paradise 2008-02-08 14:01:36 EST
The machine's smolt data is at:
http://smolt.fedoraproject.org/show?UUID=525aa7d1-98bc-455a-bb3a-70d9a65326bd

HP/Compaq calls the machine a Nettle2

The drive hardware is:
IDE channel 1 - empty
IDE channel 2 - empty
IDE channel 3 master - ST3320820AS 320GB SATA drive
IDE channel 4 master - TSSTcorpCD/DVDW (SATA if I remember from last look inside)
IDE channel 5 - empty
IDE channel 6 - empty
This machine does not have nVidia MediaShield/onboard RAID

For the install where I saw this happen, the drive was partitioned as:
remove all existing partitions, setup custom layout
sda1 256M /boot on standard Linux partition 0x83
sda2 39998M / on standard Linux partition 0x83, encryption on
sda3 2055M swap on standard Linux swap 0x82, encryption on
sda4 30xxxxM /export on standard Linux partition 0x83, encryption on
sda install grub as MBR, no extra options or password chosen

The weird sizes in MB are to align with cylinder boundaries.
Linux MD/LVM were not chosen, just some plain old partitions.
I was trying to keep the encryption options from tangling with MD/LVM layers.
Silly me. A later, more successful install on same hardware configuration mostly
worked if I left LVM in place, and did not show this dialog box.

I did not think to save an actual fdisk output from the machine on that install.
I hope this is enough to help.
Comment 3 Bug Zapper 2008-05-14 01:02:07 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Andy Lindeberg 2008-06-02 16:28:25 EDT
Does this problem persist in the final release?

Note You need to log in before you can comment on or make changes to this bug.